Skip to main content

Get Order History

Get historical futures orders (filled or canceled).

HTTP Request

GET /api/v1/future/order/orders-history

Request Parameters

ParameterTypeRequiredDescription
limitnumberYesNumber of records to return
symbolstringNoTrading pair symbol (e.g., BTCUSDT)
orderIdstringNoOrder ID to filter
clientOidstringNoClient order ID to filter
orderSourcestringNoOrder source: "LIMIT", "MARKET", or "POST_ONLY"
idLessThannumberNoReturn records with ID less than this value
startTimenumberNoStart timestamp in milliseconds
endTimenumberNoEnd timestamp in milliseconds

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/order/orders-history?symbol=BTCUSDT&limit=100" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectOrder history data
> entrustedListarrayArray of historical orders
>> symbolstringTrading pair symbol
>> sizestringOrder size
>> orderIdstringOrder ID
>> clientOidstringClient order ID
>> priceAvgstringAverage filled price
>> feestringTrading fee
>> pricestringOrder price
>> statusstringOrder status
>> sidestringOrder side: "BUY" or "SELL"
>> forcestringTime in force
>> totalProfitsstringTotal profits
>> posSidestringPosition side: "LONG" or "SHORT"
>> marginCoinstringMargin coin
>> presetTakeProfitPricestringTake profit trigger price
>> presetTakeProfitExecutePricestringTake profit execution price
>> presetTakeProfitTypestringTake profit order type
>> presetStopLossPricestringStop loss trigger price
>> presetStopLossExecutePricestringStop loss execution price
>> presetStopLossTypestringStop loss order type
>> orderTypestringOrder type: "LIMIT" or "MARKET"
>> leveragestringLeverage
>> marginModestringMargin mode: "CROSSED" or "ISOLATED"
>> tradeSidestringTrade side: "OPEN" or "CLOSE"
>> cTimenumberCreation time in milliseconds
>> uTimenumberLast update time in milliseconds
> endIdstringLast order ID for pagination

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"entrustedList": [
{
"symbol": "BTCUSDT",
"size": "0.5",
"orderId": "fu-123456789",
"clientOid": "my-order-001",
"priceAvg": "40000.00",
"fee": "2.00",
"price": "40000.00",
"status": "FILLED",
"side": "BUY",
"force": "GTC",
"totalProfits": "250.00",
"posSide": "LONG",
"marginCoin": "USDT",
"presetTakeProfitPrice": "42000.00",
"presetTakeProfitExecutePrice": "42000.00",
"presetTakeProfitType": "LIMIT",
"presetStopLossPrice": "38000.00",
"presetStopLossExecutePrice": "38000.00",
"presetStopLossType": "LIMIT",
"orderType": "LIMIT",
"leverage": "10",
"marginMode": "CROSSED",
"tradeSide": "OPEN",
"cTime": 1763372880000,
"uTime": 1763459280000
}
],
"endId": "fu-123456788"
}
}

Error Codes

No specific errors - returns empty list if no order history